Skip to main content

Pre-Pay Authorization


Use this information to process an authorization for a Pre-Pay transaction. For more information about this payment service, see Pre-Pay Transaction Scenario.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "test123",    "comments": "Pre-Pay Auth",    "partner": {      "developerId": "prodDeveloperId",      "thirdPartyCertificationNumber": "prodTPCN",      "solutionId": "prodSolutionId"    },    "transactionId": "UniqueTranID"  },  "processingInformation": {    "commerceIndicator": "retail",    "authorizationOptions": {      "authIndicator": 0    }  },  "paymentInformation": {    "card": {      "type": "001"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "20.00",      "currency": "USD"    }  },  "pointOfSaleInformation": {    "catLevel": 2,    "entryMode": "contact",    "terminalCapability": 4,    "terminalPinCapability": 0,    "terminalId": "87654321",    "emv": {      "tags": "9F100706011103A000009F26089302EDF8DC3C6E519F02060000000011009F03060000000000009F1A020840950500000000005F2A0208409A031807039C01009F37043444BDD7820200009F360200019F330360B0E89F1E04123456789F2701809F6E04207000009F7C140000000000000000000000000000000000000000",      "cardSequenceNumber": "01"    },    "trackData": ";4761739xx1010135=28122011758928889?"  },  "merchantInformation": {    "transactionLocalDateTime": "20250516115959"  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/7474186405046592803814/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7474186405046592803814"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/7474186405046592803814/captures"    }  },  "clientReferenceInformation": {    "code": "test123",    "comments": "Pre-Pay Auth",    "partner": {      "developerId": "prodDeveloperId",      "solutionId": "prodSolutionId"    },    "transactionId": "UniqueTranID"  },  "id": "7474186405046592803814",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "20.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "accountFeatures": {      "category": "F",      "group": "0"    },    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "emv": {      "tags": "9F36020001910A7D517A9478FA6AD53030"    }  },  "processorInformation": {    "systemTraceAuditNumber": "067278",    "paymentAccountReferenceNumber": "V0010013018036783719331133719",    "approvalCode": "057619",    "networkTransactionId": "305136650405819",    "settlementDate": "5141",    "retrievalReferenceNumber": "513618067278",    "transactionId": "305136650405819",    "responseCode": "00",    "avs": {      "code": "2"    }  },  "reconciliationId": "7474186405046592803814",  "status": "AUTHORIZED",  "submitTimeUtc": "2025-05-16T18:04:01Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet the value to Pre-Pay Auth.
clientReferenceInformation.partner.developerId provides the value for this field.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
merchantInformation.transactionLocalDateTime
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.type
pointOfSaleInformation.catLevelSet this value to 2.
pointOfSaleInformation.emv.cardSequenceNumber
pointOfSaleInformation.emv.tags
pointOfSaleInformation.encryptedKeySerialNumberA value is required for online PIN transactions.
pointOfSaleInformation.encryptedPinA value is required for online PIN transactions.
pointOfSaleInformation.entryModeThe required value depends on the transaction type. See this page's Required Fields section for the specific value.
pointOfSaleInformation.pinBlockEncodingFormatA value is required for online PIN transactions.
pointOfSaleInformation.terminalCapabilityThe required value depends on the transaction type. See this page's Required Fields section for the specific value.
pointOfSaleInformation.terminalIdThis field is required when within project scope. Merchant configuration must support multiple terminal IDs. Otherwise, uses the default terminal ID in the merchant configuration.
pointOfSaleInformation.terminalPinCapability
pointOfSaleInformation.trackData
processingInformation.authorizationOptions.authIndicatorSet the value to 0.
processingInformation.commerceIndicatorSet the value to retail.

Last published: September 29, 2026